Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455424 - x86: show apicid for cpu in proc
Summary: x86: show apicid for cpu in proc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: RHEL5u3_relnotes 455409
TreeView+ depends on / blocked
 
Reported: 2008-07-15 14:06 UTC by Prarit Bhargava
Modified: 2010-03-14 21:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The file /proc/cpuinfo now reports the ID of the Advanced Programmable Interrupt Controller (APIC) that is used by each individual CPU.
Clone Of:
Environment:
Last Closed: 2009-01-20 20:25:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upstream fix for this issue (deleted)
2008-07-15 14:06 UTC, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (deleted)
2008-07-15 19:55 UTC, Prarit Bhargava
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Prarit Bhargava 2008-07-15 14:06:30 UTC
Backport 282bfe21cf0e2af9eac052c89bcc0a5ace80352f

    x86: show apicid for cpu in proc
    
    Signed-off-by: Yinghai Lu <yhlu.kernel@gmail.com>
    Signed-off-by: Ingo Molnar <mingo@elte.hu>

Comment 1 Prarit Bhargava 2008-07-15 14:06:30 UTC
Created attachment 311828 [details]
Upstream fix for this issue

Comment 2 Prarit Bhargava 2008-07-15 19:55:39 UTC
Created attachment 311878 [details]
RHEL5 fix for this issue

Comment 3 RHEL Product and Program Management 2008-07-15 20:32:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Don Zickus 2008-07-23 18:56:08 UTC
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 Ryan Lerch 2008-11-06 04:20:04 UTC
This bug (feature request) has been marked for inclusion in the Red Hat
Enterprise Linux 5.3 Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances induced the feature request.

Consequence:  What action was inhibited by the feature's absence.

Fix:   What was done to implement the feature.

Result:  now happens when the actions or circumstances above occur. (NB: this
is not the same as 'the feature request was fulfilled')

Comment 11 Prarit Bhargava 2008-12-01 16:50:31 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: - no cause
Consequence: - no consequence
Fix: Customer requested apicid be added for each cpu in /proc/cpuinfo.
Result:

/proc/cpuinfo will now contain an extra line for every cpu which
contains the number of the apic that corresponds to that particular cpu.

ex) apicid:         5

Comment 13 Ryan Lerch 2008-12-08 05:48:07 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,9 +1 @@
-Cause: - no cause
+The file /proc/cpuinfo now reports the ID of the Advanced Programmable Interrupt Controller (APIC) that is used by each individual CPU.-Consequence: - no consequence
-Fix: Customer requested apicid be added for each cpu in /proc/cpuinfo.
-Result:
-
-/proc/cpuinfo will now contain an extra line for every cpu which
-contains the number of the apic that corresponds to that particular cpu.
-
-ex) apicid:         5

Comment 15 errata-xmlrpc 2009-01-20 20:25:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.